// Import Fuse core library
@import "@fuse/scss/core";

// Import app.theme.scss
@import "app/app.theme";

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

body.theme-default .mat-table {
    background: #fff;
    margin: 0 auto;
    width: 100%;
    max-width: 80%;
    margin-top: 40px;
    padding-bottom: 15px;
}
.mat-header-cell {
    font-size: 14px;
    font-weight: 600;
}
th.mat-header-cell:first-of-type, td.mat-cell:first-of-type, td.mat-footer-cell:first-of-type {
    padding-left: 25px;
    padding-top: 15px;
}

 

.mat-header-row .mat-header-cell.cdk-header-cell {
    padding-left: 30px;
}
.mat-cell .mat-button-base {
    margin: 5px;
}
#products > .center > .header .search-wrapper .search input {
    width: 90%;
    height: 48px;
    min-height: 48px;
    max-height: 48px;
    padding: 0 5px;
    border: none;
    outline: none;
}
.search .mat-icon {
    font-weight: 400 !important;
    line-height: 1;
    text-indent: 20px;
    width: 10%;
}

 

/*media query 1024*/

 

body.theme-default .mat-table {
    width: 100%;
    max-width: 100%;
}
body.theme-default .mat-cell, body.theme-default .mat-footer-cell {
    color: rgba(0,0,0,.87);
    padding-left: 25px;
}
.h1, h1 {
    font-size: 18px;
}
 
@media (max-width:768px){
    
    .content-card{
        margin-top: 50px;
    }
}

@media (max-width: 767px){

 

    .content-card{
        margin-top: 50px;
    }

    #products > .center > .header .search-wrapper {
        overflow: unset !important;
        padding: 0 5px;
        border-radius:  28px;
    }
    
    .page-layout.carded.fullwidth>.center>.header {
       margin-top: 30px;
    }
    tr.mat-header-row {
        height: 80px;
    }

    #products > .center > .header .search-wrapper .search input {
        width: 80% !important;

    }
}

 

@media ( max-width:580px ){

 

    .search .mat-icon {
       width: 15%;
    }

 


}
